Home / Lua API Manual / types / dt_lua_tag_t
< dt_lua_snapshot_t
dt_lua_view_t >

# dt_lua_tag_t

`dt_type`

A tag that can be attached to an image.

Attributes:

has_tostring

# 🔗dt_lua_tag_t.delete

see darktable.tags.delete

# 🔗dt_lua_tag_t.attach

see darktable.tags.attach

# 🔗dt_lua_tag_t.detach

see darktable.tags.detach

# 🔗dt_lua_tag_t.name

`string`

The name of the tag.

# 🔗dt_lua_tag_t.#

types.dt_lua_image_t

The images that have that tag attached to them.

< dt_lua_snapshot_t
dt_lua_view_t >